org.apache.ignite.internal.processors.datastructures

## Class GridCacheCountDownLatchValue

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.AtomicDataStructureValue
  - - org.apache.ignite.internal.processors.datastructures.VolatileAtomicDataStructureValue
    - - org.apache.ignite.internal.processors.datastructures.GridCacheCountDownLatchValue

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, GridCacheInternal

    public final class GridCacheCountDownLatchValue
    extends VolatileAtomicDataStructureValue
    implements Cloneable

Count down latch value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheCountDownLatchValue()` Empty constructor required for `Externalizable`.
`GridCacheCountDownLatchValue(int cnt, boolean del, long gridStartTime)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `autoDelete()`
`Object` `clone()`
`int` `get()`
`long` `gridStartTime()`
`int` `initialCount()`
`void` `readExternal(ObjectInput in)`
`void` `set(int cnt)`
`String` `toString()`
`DataStructureType` `type()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheCountDownLatchValue

    public GridCacheCountDownLatchValue(int cnt,
                                        boolean del,
                                        long gridStartTime)

Constructor.

Parameters:
  `cnt` - Initial count.
  `del` - `True` to auto delete on count down to 0.
  `gridStartTime` - Cluster start time.

#### GridCacheCountDownLatchValue

    public GridCacheCountDownLatchValue()

Empty constructor required for `Externalizable`.

### Method Detail

#### type

    public DataStructureType type()

Specified by:
  `type` in class `AtomicDataStructureValue`
Returns:
  Data structure type.

#### gridStartTime

    public long gridStartTime()

Specified by:
  `gridStartTime` in class `VolatileAtomicDataStructureValue`
Returns:
  Grid start time.

#### set

    public void set(int cnt)

Parameters:
  `cnt` - New count.

#### get

    public int get()

Returns:
  Current count.

#### initialCount

    public int initialCount()

Returns:
  Initial count.

#### autoDelete

    public boolean autoDelete()

Returns:
  Auto-delete flag.

#### clone

    public Object clone()
                 throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018